
import traceback
from BaseDataMaintenance.model.oracle.GongGaoTemp import GongGaoTemp

dict_replace = {""}

class CaiGouYiXiangTemp(GongGaoTemp):

    def __init__(self,_dict):
        GongGaoTemp.__init__(self,_dict)
        self.table_name = "bxkc.T_CAI_GOU_YI_XIANG_TEMP"
        self.setValue("docchannel",114,True)

    def getPrimary_keys(self):
        return ["ID"]

if __name__ == '__main__':
    from BaseDataMaintenance.dataSource.source import getConnection_oracle
    conn = getConnection_oracle()
    list_rows = CaiGouYiXiangTemp.select_rows(conn,CaiGouYiXiangTemp,"bxkc.T_ZHONG_BIAO_XIN_XI_TEMP",[],limit=10)
    for row in list_rows:
        print(row.getProperties_ots())
    print(list_rows)